Name:           kmetronome
Version:        0.10.0
Release:        %mkrel 1
License:        GPLv2+
Summary:        KDE MIDI Metronome using ALSA Sequencer
Group:          Sound
URL:            http://kmetronome.sourceforge.net
Source:         http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Patch0:         kmetronome-0.10.0-docbook.patch
BuildRequires:  cmake
BuildRequires:  gettext
BuildRequires:  kdelibs4-devel
BuildRequires:  drumstick-devel
BuildRequires:  desktop-file-utils


%description
KMetronome is a MIDI metronome with KDE interface, based on the ALSA
sequencer. The intended audience is musicians and music students. Like
solid, real metronomes it is a tool to keep the rhythm while playing musical
instruments. It uses MIDI for sound generation instead of digital audio,
allowing low CPU usage, and very accurate timing thanks to the ALSA sequencer.

%prep
%setup -q
%patch0 -p1


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
cmake .. -DCMAKE_INSTALL_PREFIX=/usr
popd
make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}
%find_lang %{name} --with-kde

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop


%files -f %{name}.lang
%doc README ChangeLog AUTHORS TODO COPYING NEWS
%{_bindir}/%{name}
%{_datadir}/apps/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_datadir}/applications/kde4/%{name}.desktop
%{_datadir}/dbus-1/*/*
%{_mandir}/man1/%{name}.1.*
%{_docdir}/HTML/en/%{name}/*

%changelog
* Mon Nov 21 2011 Archie Arevalo <pclinuxos.ph at gmail.com> 1.0.0-1_archie_2011
- Reported, updated  and rebuild for PCLinuxOS x86_64

